Skip to main content
PATCH
Update draft

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

articleId
string
required

The unique identifier of the article whose draft is to be updated.

Body

application/json
accessGroupIds
object
required

A collection of access group identifiers that have permissions to view the draft article. It is an object with unspecified properties.

accessType
object
required

Defines the access level for the draft article. It is an object with unspecified properties.

archivedInDashboard
object
required

Indicates whether the draft article is archived in the dashboard. It is an object with unspecified properties.

body
object
required

The main content of the draft article. It is an object with unspecified properties.

categoryId
object
required

The identifier of the category to which the draft article belongs. It is an object with unspecified properties.

metaDescription
object
required

A brief description of the draft article for SEO purposes. It is an object with unspecified properties.

path
object
required

The URL path for the draft article. It is an object with unspecified properties.

subtitle
object
required

The subtitle of the draft article. It is an object with unspecified properties.

tagIds
object
required

A collection of tag identifiers associated with the draft article. It is an object with unspecified properties.

title
object
required

The title of the draft article. It is an object with unspecified properties.

Response

successful operation

accessGroupIds
string[]
required
accessType
enum<string>
required
Available options:
ACCESS_GROUP_MEMBERSHIP,
PUBLIC,
SSO_LOGIN
archivedInDashboard
boolean
required
createdAt
string<date-time>
required
id
string
required
knowledgeBaseId
string
required
language
string
required
path
string
required
state
enum<string>
required
Available options:
DRAFT,
PUBLISHED
tagIds
string[]
required
title
string
required
updatedAt
string<date-time>
required
url
string
required
body
string
categoryId
string
createdByUserId
string
initialPublishedAt
string<date-time>
metaDescription
string
position
integer<int32>
publishedAt
string<date-time>
subcategoryId
string
subtitle
string
translationOfId
string
translations
object
updatedByUserId
string
Last modified on September 21, 2026